Uses of Class
io.helidon.json.JsonArray
Packages that use JsonArray
Package
Description
Vault integration.
Helidon JSON Processor.
Helidon implementation of the
Jackson Smile binary JSON specification.
Core classes used by both the JSON-RPC server and gRPC client.
Helidon WebClient JSON-RPC Support.
-
Uses of JsonArray in io.helidon.integrations.vault
Methods in io.helidon.integrations.vault with parameters of type JsonArrayModifier and TypeMethodDescriptionVaultUtil.arrayToList(JsonArray array) Create a list of strings from a Helidon JSON array. -
Uses of JsonArray in io.helidon.json
Methods in io.helidon.json that return JsonArrayModifier and TypeMethodDescriptionJsonObject.arrayValue(String key, JsonArray defaultValue) Return the JsonArray value associated with the specified key, or the default value if the key is not present.JsonValue.asArray()Cast this value to a JsonArray if it is of array type.static JsonArrayCreate a JsonArray from an array of JsonValue instances.static JsonArrayCreate a JsonArray from a list of JsonValue instances.static JsonArrayJsonArray.createBooleans(List<Boolean> values) Create a JsonArray from a list of booleans.static JsonArrayJsonArray.createNumbers(List<BigDecimal> values) Create a JsonArray from a list of BigDecimal numbers.static JsonArrayJsonArray.createStrings(List<String> values) Create a JsonArray from a list of strings.static JsonArrayJsonArray.empty()Returns the shared empty JSON array instance.JsonParser.readJsonArray()Reads a JSON array from the current position.JsonParserBase.readJsonArray()ObjectStartParser.readJsonArray()Methods in io.helidon.json that return types with arguments of type JsonArrayModifier and TypeMethodDescriptionJsonObject.arrayValue(String key) Return the JsonArray value associated with the specified key as an Optional.Methods in io.helidon.json with parameters of type JsonArrayModifier and TypeMethodDescriptionJsonObject.arrayValue(String key, JsonArray defaultValue) Return the JsonArray value associated with the specified key, or the default value if the key is not present. -
Uses of JsonArray in io.helidon.json.smile
Methods in io.helidon.json.smile that return JsonArray -
Uses of JsonArray in io.helidon.jsonrpc.core
Methods in io.helidon.jsonrpc.core that return JsonArrayModifier and TypeMethodDescriptionJsonRpcParams.asJsonArray()Access all request params as a single JSON array.JsonRpcResult.asJsonArray()Access a response result as a JSON array. -
Uses of JsonArray in io.helidon.webclient.jsonrpc
Methods in io.helidon.webclient.jsonrpc that return JsonArrayModifier and TypeMethodDescriptionJsonRpcClientBatchRequest.asJsonArray()Get the complete batch request as a JSON array.